MEMCACHED_LAST_ERROR_ERRNO(3)

NAME
memcached_last_error_errno - libmemcached Documentation

SYNOPSIS

#include <libmemcached/memcached.h>
    Compile and link with -lmemcached

memcached_return_t <#_CPPv418memcached_return_t> memcached_last_error(const memcached_st <#_CPPv412memcached_st> *ptr)

Parameters
    ptr -- pointer to an initialized memcached_st <#_CPPv412memcached_st> struct

Returns
    memcached_return_t <#_CPPv418memcached_return_t> indicating success of last operation

const char *memcached_last_error_message(const memcached_st <#_CPPv412memcached_st> *ptr)

Parameters
    ptr -- pointer to an initialized memcached_st <#_CPPv412memcached_st> struct

Returns
    message describing the status of last operation

int memcached_last_error_errno(const memcached_st <#_CPPv412memcached_st> *ptr)

Parameters
    ptr -- pointer to an initialized memcached_st <#_CPPv412memcached_st> struct

Returns
    errno(3) <https://linux.die.net/man/3/errno> (if any) of last operation

DESCRIPTION

Retrieve error codes and messages.

RETURN VALUE

memcached_last_error() returns the last error code.

memcached_last_error_message() returns the last error message. If this error came from a specific server, its hostname and port will be provided in the error message. Any error message will be returned as 'const char *' which does not need to be de-allocated. NULL will be returned if no error has occurred.

memcached_last_error_errno() returns any last local error code obtained from errno(3) <https://linux.die.net/man/3/errno>.

SEE ALSO

memcached(1) <https://linux.die.net/man/1/memcached> errno(3) <https://linux.die.net/man/3/errno> libmemcached(3) <https://linux.die.net/man/3/libmemcached> memcached_strerror(3) <https://linux.die.net/man/3/memcached_strerror>